let SessionLoad = 1
let s:so_save = &g:so | let s:siso_save = &g:siso | setg so=0 siso=0 | setl so=-1 siso=-1
let v:this_session=expand("<sfile>:p")
silent only
silent tabonly
cd ~/projects/open_engine/open_engine
if expand('%') == '' && !&modified && line('$') <= 1 && getline(1) == ''
  let s:wipebuf = bufnr('%')
endif
let s:shortmess_save = &shortmess
if &shortmess =~ 'A'
  set shortmess=aoOA
else
  set shortmess=aoO
endif
badd +1 ~/projects/open_engine/open_engine
badd +13 ~/projects/open_engine/open_engine/include/open_engine/orthographic_camera.hpp
badd +24 ~/projects/open_engine/open_engine/src/open_engine/orthographic_camera.cpp
badd +25 ~/projects/open_engine/open_engine/include/open_engine/application.hpp
badd +18 ~/projects/open_engine/open_engine/src/open_engine/application.cpp
badd +9 ~/projects/open_engine/open_engine/src/open_engine/renderer/renderer.cpp
badd +1654 ~/projects/open_engine/open_engine/src/open_engine/opengl/imgui_glfw.cpp
badd +8 ~/projects/open_engine/open_engine/src/open_engine/time.cpp
badd +11 ~/projects/open_engine/open_engine/include/open_engine.hpp
badd +22 ~/projects/open_engine/open_engine/include/open_engine/time.hpp
badd +4 ~/projects/open_engine/open_engine/include/open_engine/input/input_system.hpp
badd +1 ~/projects/open_engine/open_engine/include/open_engine/core.hpp
badd +10 ~/projects/open_engine/open_engine/include/open_engine/renderer/shader.hpp
badd +8 ~/projects/open_engine/open_engine/include/open_engine/opengl/opengl_shader.hpp
badd +211 ~/projects/open_engine/open_engine/src/open_engine/imgui/imgui_layer.cpp
badd +34 ~/projects/open_engine/open_engine/src/open_engine/window/linux_window.cpp
badd +17 ~/projects/open_engine/open_engine/include/open_engine/window/linux_window.hpp
badd +12 ~/projects/open_engine/open_engine/include/open_engine/entry_point.hpp
badd +17 ~/projects/open_engine/open_engine/include/open_engine/window/window.hpp
badd +1 ~/projects/open_engine/open_engine/justfile
argglobal
%argdel
$argadd ~/projects/open_engine/open_engine
edit ~/projects/open_engine/open_engine/include/open_engine.hpp
let s:save_splitbelow = &splitbelow
let s:save_splitright = &splitright
set splitbelow splitright
wincmd _ | wincmd |
vsplit
1wincmd h
wincmd w
let &splitbelow = s:save_splitbelow
let &splitright = s:save_splitright
wincmd t
let s:save_winminheight = &winminheight
let s:save_winminwidth = &winminwidth
set winminheight=0
set winheight=1
set winminwidth=0
set winwidth=1
exe 'vert 1resize ' . ((&columns * 104 + 62) / 125)
exe 'vert 2resize ' . ((&columns * 20 + 62) / 125)
argglobal
setlocal foldmethod=manual
setlocal foldexpr=0
setlocal foldmarker={{{,}}}
setlocal foldignore=#
setlocal foldlevel=0
setlocal foldminlines=1
setlocal foldnestmax=20
setlocal foldenable
silent! normal! zE
let &fdl = &fdl
let s:l = 11 - ((10 * winheight(0) + 29) / 59)
if s:l < 1 | let s:l = 1 | endif
keepjumps exe s:l
normal! zt
keepjumps 11
normal! 032|
lcd ~/projects/open_engine/open_engine
wincmd w
argglobal
if bufexists(fnamemodify("~/projects/open_engine/open_engine/include/open_engine/orthographic_camera.hpp", ":p")) | buffer ~/projects/open_engine/open_engine/include/open_engine/orthographic_camera.hpp | else | edit ~/projects/open_engine/open_engine/include/open_engine/orthographic_camera.hpp | endif
if &buftype ==# 'terminal'
  silent file ~/projects/open_engine/open_engine/include/open_engine/orthographic_camera.hpp
endif
balt ~/projects/open_engine/open_engine/src/open_engine/orthographic_camera.cpp
setlocal foldmethod=manual
setlocal foldexpr=0
setlocal foldmarker={{{,}}}
setlocal foldignore=#
setlocal foldlevel=0
setlocal foldminlines=1
setlocal foldnestmax=20
setlocal foldenable
silent! normal! zE
let &fdl = &fdl
let s:l = 12 - ((11 * winheight(0) + 29) / 59)
if s:l < 1 | let s:l = 1 | endif
keepjumps exe s:l
normal! zt
keepjumps 12
normal! 0
lcd ~/projects/open_engine/open_engine
wincmd w
2wincmd w
exe 'vert 1resize ' . ((&columns * 104 + 62) / 125)
exe 'vert 2resize ' . ((&columns * 20 + 62) / 125)
tabnext 1
if exists('s:wipebuf') && len(win_findbuf(s:wipebuf)) == 0 && getbufvar(s:wipebuf, '&buftype') isnot# 'terminal'
  silent exe 'bwipe ' . s:wipebuf
endif
unlet! s:wipebuf
set winheight=1 winwidth=20
let &shortmess = s:shortmess_save
let &winminheight = s:save_winminheight
let &winminwidth = s:save_winminwidth
let s:sx = expand("<sfile>:p:r")."x.vim"
if filereadable(s:sx)
  exe "source " . fnameescape(s:sx)
endif
let &g:so = s:so_save | let &g:siso = s:siso_save
set hlsearch
doautoall SessionLoadPost
unlet SessionLoad
" vim: set ft=vim :
